Bug 157689 - When upgrading Fedora core using up2date, GRUB Default setting not preserved
When upgrading Fedora core using up2date, GRUB Default setting not preserved
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-13 15:11 EDT by Sam
Modified: 2008-02-11 05:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 05:01:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam 2005-05-13 15:11:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050417 Fedora/1.7.7-1.3.1

Description of problem:
I do admit up front this may be an error in up2date or grub, I don't know which.

I installed Fedora Core 3 2.6.9-1.667 on my hard drive in a tri-boot configuration. Here are the details:

1 Hard Drive (150 GB)

Partition 0: HP Recovery (FAT32) ~6 GB
Partition 1: Windows XP (NTFS) ~94 GB
Partition 2: Fedora Core 3 (ext3?) ~50 GB

Then I made Partition 1 (Windows XP) be the default by editing /boot/grub/grub.conf accordingly.

Here is a copy of what grub.conf looked like at this point, with comments deleted:

default=1
timeout=5
splashimage=(hd0,2)/grub/splash.xpm.gz
hiddenmenu
title Fedora Core (2.6.9-1.667)
	root (hd0,2)
	kernel /vmlinuz-2.6.9-1.667 ro root=/dev/VolGroup00/LogVol00 rhgb quiet
	initrd /initrd-2.6.9-1.667.img
title Windows XP
	rootnoverify (hd0,1)
	chainloader +1
title HP Recovery
	rootnoverify (hd0,0)
	chainloader +1

Then I ran up2date to update the kernel.

After running up2date to update the kernel, the file looked like this:

default=0
timeout=5
splashimage=(hd0,2)/grub/splash.xpm.gz
hiddenmenu
title Fedora Core (2.6.11-1.14_FC3)
	root (hd0,2)
	kernel /vmlinuz-2.6.11-1.14_FC3 ro root=/dev/VolGroup00/LogVol00 rhgb quiet
	initrd /initrd-2.6.11-1.14_FC3.img
title Fedora Core (2.6.9-1.667)
	root (hd0,2)
	kernel /vmlinuz-2.6.9-1.667 ro root=/dev/VolGroup00/LogVol00 rhgb quiet
	initrd /initrd-2.6.9-1.667.img
title Windows XP
	rootnoverify (hd0,1)
	chainloader +1
title HP Recovery
	rootnoverify (hd0,0)
	chainloader +1

Note the default value has changed from Windows XP to Linux.

Version-Release number of selected component (if applicable):
grub-0.95-3

How reproducible:
Always

Steps to Reproduce:
1. Install an old version of Fedora Core 3 on a dual-boot system using GRUB as the boot loader
2. Change the default boot selection in /boot/grub/grub.conf to default to Windows
3. Use up2date to update the kernel
4. Reboot the computer -- note that the upgraded Linux core has now become the default in /boot/grub/grub.conf
  

Actual Results:  Linux (Partition 2), not Windows XP (Partition 1), was the new default value after upgrading the kernel using up2date.



Expected Results:  Windows XP (Partition 1) should have still been the default value for booting, even after upgrading the kernel.

Additional info:

It also still gives me the choice to boot to the old version of Fedora Core 3, but this may be intended--not sure if it is an additional bug or not.

I am reporting the bug as "Low" severity, since it is a nuisence bug that requires me to edit the default value whenever I upgrade the kernel.
Comment 1 Matthew Miller 2006-07-10 16:42:10 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 petrosyan 2008-02-11 05:01:11 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.